View Issue Details

IDProjectCategoryView StatusLast Update
0000558Apache 2.x Bugpublic2020-08-24 12:43
ReporterLewisRAssigned Topsmedley 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000558: Corrections to default httpd-mpm.conf
DescriptionPresently, a couple minor issues arise with the included conf/extra/httpd-mpm.conf.

The LockFile directive is apparently not supported on OS/2. The included conf refers to:

<IfModule !mpm_winnt_module>
<IfModule !mpm_netware_module>
LockFile "logs/accept.lock"
</IfModule>
</IfModule>

Unfortunately, without modification, this throws an error upon daemon startup, and an immediate exit.

In addition, in the OS/2 MPM section, there is no mention of the default ThreadStackSize, which I believe is 65536 (someone please confirm).
Additional InformationSuggest the following changes to conf/extra/httpd-mpm.conf:

<IfModule !mpm_winnt_module>
<IfModule !mpm_netware_module>
<IfModule !mpm_mpmt_os2_module>
LockFile logs/accept.lock
</IfModule>
</IfModule>
</IfModule>

and in the OS/2 MPM section:

# OS/2 MPM
# ThreadStackSize: Stack size allocated for each worker thread
# StartServers: Number of server processes to maintain
# MinSpareThreads: Minimum number of idle threads per process,
# to handle request spikes
# MaxSpareThreads: Maximum number of idle threads per process
# MaxRequestsPerChild: Maximum number of connections per server process
#
<IfModule mpm_mpmt_os2_module>
    ThreadStackSize 65536
    StartServers 2
    MinSpareThreads 5
    MaxSpareThreads 10
    MaxRequestsPerChild 0
</IfModule>
TagsNo tags attached.

Activities

psmedley

2012-12-24 09:44

administrator   ~0002390

Fixed in my original source and will be in the next drop

Issue History

Date Modified Username Field Change
2012-12-23 15:55 LewisR New Issue
2012-12-24 09:44 psmedley Note Added: 0002390
2012-12-24 09:44 psmedley Status new => resolved
2012-12-24 09:44 psmedley Resolution open => fixed
2012-12-24 09:44 psmedley Assigned To => psmedley
2020-08-24 12:43 psmedley Status resolved => closed